<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.administrator.alphabot"
    android:versionCode="1"
    android:versionName="2.0" >

    <uses-sdk
        android:minSdkVersion="21"
        android:targetSdkVersion="25" />

    <!-- 使用蓝牙的权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH" />

    <!-- 扫描蓝牙设备或者操作蓝牙设置等权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <meta-data
        android:name="android.support.VERSION"
        android:value="25.3.1" />

    <application
        android:name="com.example.administrator.alphabot.MySocket"
        android:allowBackup="true"
        android:debuggable="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:testOnly="true"
        android:theme="@android:style/Theme.Holo.Light" >
        <activity android:name="com.example.administrator.alphabot.MainActivity" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="com.example.administrator.alphabot.LoginActivity" />
        <activity
            android:name="com.example.administrator.alphabot.SocketActivity"
            android:configChanges="orientation|keyboard|keyboardHidden|screenSize" />
        <activity android:name="com.example.administrator.alphabot.DeviceScanActivity" />
        <activity android:name="com.example.administrator.alphabot.DeviceControlActivity" />
        <activity android:name="com.example.administrator.alphabot.Uart" />
        <activity
            android:name="com.example.administrator.alphabot.Telecontroller"
            android:configChanges="orientation|keyboard|keyboardHidden|screenSize"
            android:screenOrientation="portrait" />
        <activity android:name="com.example.administrator.alphabot.SettingActivity" />
        <!--
     ATTENTION: This was auto-generated to add Google Play services to your project for
     App Indexing.  See https://g.co/AppIndexing/AndroidStudio for more information.
        -->
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <provider
            android:name="com.android.tools.ir.server.InstantRunContentProvider"
            android:authorities="com.example.administrator.alphabot.com.android.tools.ir.server.InstantRunContentProvider"
            android:multiprocess="true" />
    </application>

</manifest>